#include <iostream>
using namespace std;
int main() 
{
    int N, L;
    cin >> N >> L;

    int a[N]; 

   
    
	
	for (int i = 0; i < N; i++) {
        cin >> a[i];
    }

   
   
   
    int brojac = 1; 


    
	
	
	 for (int i = 0; i < N; i++) {
        if (L >= a[i]) { 
        
       
            cout << brojac << endl; 
            return 0;
        }
        brojac++;
    }

    
    
    
    cout << -1 << endl;




    return 0;
}